View Bug Details

IDProjectCategoryView StatusLast Update
0001344DCP-o-matic[All Projects] Featurespublic2018-10-17 19:16
ReportercarlAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.14.0Fixed in Version 
Summary0001344: Multiple CCAPs in one DCP
Description

Not sure of the details but apparently this is a thing.

Tagsccap
Estimated work requiredUnknown

Activities

Carsten

2018-07-26 17:16

manager   ~0002568

Last edited: 2018-07-26 23:35

View 2 revisions

https://cinepedia.com/category/accessibility/

...
Closed Captions and Closed Subtitles

Closed Captions and Closed Subtitles are text-only recitations directed to a personal display, and not visible to the general audience (i.e., off-screen).

SMPTE ST 428-10 DCDM Closed Caption and Closed Subtitle sets forth a set of constraints applied to Timed Text essence for the off-screen applications of Closed Captions and Closed Subtitles. The constraints essentially limit the interpretation of positioning elements in the XML document to the vertical position. The same closed caption and closed subtitle constraints applied to SMPTE off-screen Timed Text may also be applied to CineCanvas™ off-screen applications in Interop distributions. Unlike Open Subtitles and Open Captions, Closed Subtitles and Closed Captions may carry up to six (6) versions of off-screen Timed Text Track Files in one Composition, one language per Track File. It is up to the personal display provider to provide on-demand access to the multiple track versions. The packaging of off-screen Timed Text Track Files deserves special attention, as explained in the Reel Flexibility for Timed Text section.

Interop DCP Closed Caption files are a constrained version of the CineCanvas format. The constraint documentation is available on the Interop DCP page.
...

Carsten

2018-07-26 23:45

manager   ~0002573

Carl - comments marked as 'private' - who's allowed to see them?

  • Carsten

carl

2018-07-27 00:02

administrator   ~0002574

It should be only the bug reporter and anyone with "developer" access or more; that's currently me, you and Manuel.

Carsten

2018-07-27 00:10

manager   ~0002576

Good, thought I might be a bit more careful with long SMPTE excerpts.

  • Carsten

carl

2018-08-29 11:10

administrator   ~0002638

Done in and around 1db0293ad36605da9ca8daa8736ef581f4f6a34e

Carsten

2018-08-29 11:28

manager   ~0002639

Okay, once a test version including this is up, I will send Harold Halikainen a test DCP to try this.

Isn't it fascinating to spend work on implementing features that only one out of 7 BILLION people is going to use?

  • Carsten

carl

2018-08-29 11:35

administrator   ~0002640

Great, just running unit tests then I'll put up a test version. Surely at least 2 people will use it!

chucky3456

2018-09-03 23:22

reporter   ~0002650

If I may be of assistance I work a theater with Dolby, GDC, and Christie servers, I'm happy to test closed cap DCPs for you - its a feature I'm actually looking to use myself (so yes, I'm that 1 in 7 Billion!)

carl

2018-09-03 23:35

administrator   ~0002651

@chucky3456 that would be great! Any testing you can do would be most helpful. Let us know how you get on!

chucky3456

2018-09-23 12:59

reporter   ~0002698

@carl i can confirm successful ingestion and playback of closed captions on Dolby DSS100, GDC servers, and Solaria One servers. Captions are working great!

carl

2018-09-23 20:26

administrator   ~0002699

Cool, thanks @chucky3456

Bug History

Date Modified Username Field Change
2018-07-26 16:14 carl New Bug
2018-07-26 16:14 carl Tag Attached: ccap
2018-07-26 17:16 Carsten Note Added: 0002568
2018-07-26 23:35 Carsten Note Edited: 0002568 View Revisions
2018-07-26 23:45 Carsten Note Added: 0002573
2018-07-27 00:02 carl Note Added: 0002574
2018-07-27 00:10 Carsten Note Added: 0002576
2018-08-29 11:10 carl Assigned To => carl
2018-08-29 11:10 carl Status new => resolved
2018-08-29 11:10 carl Resolution open => fixed
2018-08-29 11:10 carl Note Added: 0002638
2018-08-29 11:28 Carsten Note Added: 0002639
2018-08-29 11:35 carl Note Added: 0002640
2018-09-03 23:22 chucky3456 Note Added: 0002650
2018-09-03 23:35 carl Note Added: 0002651
2018-09-23 12:59 chucky3456 Note Added: 0002698
2018-09-23 20:26 carl Note Added: 0002699
2018-10-17 19:16 carl Status resolved => closed